#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QSettings>
#include <QDesktopServices>
#include <QUrl>
#include <QFileDialog>
#include <QProcess>
#include <QMessageBox>

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    QProcess *process;

private:
    Ui::MainWindow *ui;

private slots:
    void on_runButton_clicked();
    void on_helpButton_clicked();
    void on_texButton_clicked();
    void on_rtfButton_clicked();
    void on_bblButton_clicked();
    void on_auxButton_clicked();
    void on_configButton_clicked();
    void UpdateUI();
    void UpdateTerminal();
    void AfterProcessFinished();
};

#endif // MAINWINDOW_H
